gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.MemChunk

Contents

- Exported types
- Methods
  - alloc
  - alloc0
  - clean
  - destroy
  - free
  - info
  - print
  - reset

Description

No description available in the introspection data.

Synopsis

- newtype MemChunk = MemChunk (ManagedPtr MemChunk)
- memChunkAlloc :: (HasCallStack, MonadIO m) => MemChunk -> m (Ptr ())
- memChunkAlloc0 :: (HasCallStack, MonadIO m) => MemChunk -> m (Ptr ())
- memChunkClean :: (HasCallStack, MonadIO m) => MemChunk -> m ()
- memChunkDestroy :: (HasCallStack, MonadIO m) => MemChunk -> m ()
- memChunkFree :: (HasCallStack, MonadIO m) => MemChunk -> Ptr () -> m ()
- memChunkInfo :: (HasCallStack, MonadIO m) => m ()
- memChunkPrint :: (HasCallStack, MonadIO m) => MemChunk -> m ()
- memChunkReset :: (HasCallStack, MonadIO m) => MemChunk -> m ()

# Exported types

newtype MemChunk Source #

Memory-managed wrapper type.

Constructors

MemChunk (ManagedPtr MemChunk) |

#### Instances

Instances details

Eq MemChunk Source # |
Instance details Defined in GI.GLib.Structs.MemChunk Methods (==) :: MemChunk -> MemChunk -> Bool Source # (/=) :: MemChunk -> MemChunk -> Bool Source #
BoxedPtr MemChunk Source # |
Instance details Defined in GI.GLib.Structs.MemChunk Methods boxedPtrCopy :: MemChunk -> IO MemChunk Source # boxedPtrFree :: MemChunk -> IO () Source #
ManagedPtrNewtype MemChunk Source # |
Instance details Defined in GI.GLib.Structs.MemChunk Methods toManagedPtr :: MemChunk -> ManagedPtr MemChunk Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

alloc, alloc0, clean, destroy, free, print, reset.

#### Getters

None.

#### Setters

None.

## alloc

memChunkAlloc :: (HasCallStack, MonadIO m) => MemChunk -> m (Ptr ()) Source #

No description available in the introspection data.

## alloc0

memChunkAlloc0 :: (HasCallStack, MonadIO m) => MemChunk -> m (Ptr ()) Source #

No description available in the introspection data.

## clean

memChunkClean :: (HasCallStack, MonadIO m) => MemChunk -> m () Source #

No description available in the introspection data.

## destroy

memChunkDestroy :: (HasCallStack, MonadIO m) => MemChunk -> m () Source #

No description available in the introspection data.

## free

memChunkFree :: (HasCallStack, MonadIO m) => MemChunk -> Ptr () -> m () Source #

No description available in the introspection data.

## info

memChunkInfo :: (HasCallStack, MonadIO m) => m () Source #

No description available in the introspection data.

## print

memChunkPrint :: (HasCallStack, MonadIO m) => MemChunk -> m () Source #

No description available in the introspection data.

## reset

memChunkReset :: (HasCallStack, MonadIO m) => MemChunk -> m () Source #

No description available in the introspection data.